## GoLibxmlExtras GoLibxmlExtras |

## Synopsis

    xmlDocPtr           go_xml_parse_file                   (const char *filename);
    xmlChar*            xml_node_get_cstr                   (xmlNodePtr node,
                                                             char const *name);
    void                xml_node_set_cstr                   (xmlNodePtr node,
                                                             char const *name,
                                                             char const *val);
    gboolean            xml_node_get_bool                   (xmlNodePtr node,
                                                             char const *name,
                                                             gboolean *result);
    void                xml_node_set_bool                   (xmlNodePtr node,
                                                             char const *name,
                                                             gboolean val);
    gboolean            xml_node_get_int                    (xmlNodePtr node,
                                                             char const *name,
                                                             int *result);
    void                xml_node_set_int                    (xmlNodePtr node,
                                                             char const *name,
                                                             int val);
    gboolean            xml_node_get_double                 (xmlNodePtr node,
                                                             char const *name,
                                                             double *result);
    void                xml_node_set_double                 (xmlNodePtr node,
                                                             char const *name,
                                                             double val,
                                                             int precision);
    gboolean            xml_node_get_gocolor                (xmlNodePtr node,
                                                             char const *name,
                                                             GOColor *result);
    void                xml_node_set_gocolor                (xmlNodePtr node,
                                                             char const *name,
                                                             GOColor val);
    gboolean            xml_node_get_enum                   (xmlNodePtr node,
                                                             char const *name,
                                                             GType etype,
                                                             gint *val);
    void                xml_node_set_enum                   (xmlNodePtr node,
                                                             char const *name,
                                                             GType etype,
                                                             gint val);
    xmlNode*            e_xml_get_child_by_name             (xmlNode const *tree,
                                                             char const *name);
    xmlNode*            e_xml_get_child_by_name_no_lang     (xmlNode const *tree,
                                                             char const *name);
    xmlNode*            e_xml_get_child_by_name_by_lang     (xmlNode const *tree,
                                                             char const *name);

## Description

## Details

### go_xml_parse_file ()

    xmlDocPtr           go_xml_parse_file                   (const char *filename);

Like xmlParseFile, but faster. Does not accept compressed files. See http://bugzilla.gnome.org/show_bug.cgi?id=168414

Note: this reads the entire file into memory and should therefore not be used for user-supplied files.

`filename` : |
Returns : |

### xml_node_get_cstr ()

    xmlChar*            xml_node_get_cstr                   (xmlNodePtr node,
                                                             char const *name);

`node` : |
`name` : |
Returns : |

### xml_node_set_cstr ()

    void                xml_node_set_cstr                   (xmlNodePtr node,
                                                             char const *name,
                                                             char const *val);

`node` : |
`name` : |
`val` : |

### xml_node_get_bool ()

    gboolean            xml_node_get_bool                   (xmlNodePtr node,
                                                             char const *name,
                                                             gboolean *result);

`node` : |
`name` : |
`result` : |
Returns : |

### xml_node_set_bool ()

    void                xml_node_set_bool                   (xmlNodePtr node,
                                                             char const *name,
                                                             gboolean val);

`node` : |
`name` : |
`val` : |

### xml_node_get_int ()

    gboolean            xml_node_get_int                    (xmlNodePtr node,
                                                             char const *name,
                                                             int *result);

`node` : |
`name` : |
`result` : |
Returns : |

### xml_node_set_int ()

    void                xml_node_set_int                    (xmlNodePtr node,
                                                             char const *name,
                                                             int val);

`node` : |
`name` : |
`val` : |

### xml_node_get_double ()

    gboolean            xml_node_get_double                 (xmlNodePtr node,
                                                             char const *name,
                                                             double *result);

`node` : |
`name` : |
`result` : |
Returns : |

### xml_node_set_double ()

    void                xml_node_set_double                 (xmlNodePtr node,
                                                             char const *name,
                                                             double val,
                                                             int precision);

`node` : |
`name` : |
`val` : |
`precision` : |

### xml_node_get_gocolor ()

    gboolean            xml_node_get_gocolor                (xmlNodePtr node,
                                                             char const *name,
                                                             GOColor *result);

`node` : |
`name` : |
`result` : |
Returns : |

### xml_node_set_gocolor ()

    void                xml_node_set_gocolor                (xmlNodePtr node,
                                                             char const *name,
                                                             GOColor val);

`node` : |
`name` : |
`val` : |

### xml_node_get_enum ()

    gboolean            xml_node_get_enum                   (xmlNodePtr node,
                                                             char const *name,
                                                             GType etype,
                                                             gint *val);

`node` : |
`name` : |
`etype` : |
`val` : |
Returns : |

### xml_node_set_enum ()

    void                xml_node_set_enum                   (xmlNodePtr node,
                                                             char const *name,
                                                             GType etype,
                                                             gint val);

`node` : |
`name` : |
`etype` : |
`val` : |

### e_xml_get_child_by_name ()

    xmlNode*            e_xml_get_child_by_name             (xmlNode const *tree,
                                                             char const *name);

`tree` : |
`name` : |
Returns : |

### e_xml_get_child_by_name_no_lang ()

    xmlNode*            e_xml_get_child_by_name_no_lang     (xmlNode const *tree,
                                                             char const *name);

`tree` : |
`name` : |
Returns : |

### e_xml_get_child_by_name_by_lang ()

    xmlNode*            e_xml_get_child_by_name_by_lang     (xmlNode const *tree,
                                                             char const *name);

`tree` : |
`name` : |
Returns : |